%if 0%{?rhel} && 0%{?rhel} < 9
%global dci_gpgkey RPM-GPG-KEY-distributedci
%else
%global dci_gpgkey RPM-GPG-KEY-distributedci-el%{?rhel}
%endif

Name:           dci-release
Version:        0.1
Release:        10%{?dist}

Summary:        Distributed CI repository configuration
License:        ASL2.0

URL:            https://github.com/redhat-cip/dci-control-server
BuildArch:      noarch

%description
This package contains the Distributed CI repository configuration file

%prep

%build

%install
install -d %{buildroot}/%{_sysconfdir}/yum.repos.d

cat > %{buildroot}/%{_sysconfdir}/yum.repos.d/dci.repo <<EOF
[dci]
name=Distributed CI - CentOS \$releasever
baseurl=https://packages.distributed-ci.io/repos/current/el/\$releasever/\$basearch/
gpgcheck=1
gpgkey=https://packages.distributed-ci.io/%{dci_gpgkey}
EOF

%files
%defattr(-,root,root,-)
%{_sysconfdir}/yum.repos.d/dci.repo

%changelog
* Thu Nov 24 2022 François Charlier <fcharlie@redhat.com> 0.1-10
- Use different gpgkey for EL9 and others
* Tue Aug 16 2022 Bill Peck <bpeck@redhat.com> 0.1-9
- Rebuild for EL9
* Tue Oct 06 2020 Haïkel Guémar <hguemar@fedoraproject.org> - 0.1-7
- Rebuild for EL8
* Wed Jul 04 2018 Yanis Guenane <yguenane@redhat.com> 0.1-6
- Remove development repo
* Wed Jul 04 2018 Yanis Guenane <yguenane@redhat.com> 0.1-5
- Remove Fedora support
* Thu Jul 27 2017 Dimitri Savineau <dsavinea@redhat.com> 0.1-4
- Rebuilt for Fedora 26
* Mon Jul 25 2016 Yanis Guenane <yguenane@redhat.com> 0.1-3
- Use https to get the packages
* Thu Jun 09 2016 Yanis Guenane <yguenane@redhat.com> 0.1-2
- Use the new domain name packages.distributed-ci.io
* Fri Nov 13 2015 Yanis Guenane <yguenane@redhat.com> 0.1-1
- Initial commit
